@import '../variables/color.scss';

// $datepicker-font-size: 14px !important;
// $datepicker-box-line-height: 20px !important;
// $datepicker-box-padding: 12px !important;
// $datepicker-header-padding: 16px 12px;
// // $datepicker-header-margin: 16px 12px;
// $datepicker-header-border-bottom: 1px solid $grey100;
// $datepicker-footer-padding: 16px 12px;
// $datepicker-footer-margin: 0;
// $datepicker-footer-border-top: 1px solid $grey100 !default;
// // $datepicker-table-head-padding: 0 0 0.875rem 0 !default;
// // $datepicker-table-head-margin: 0 0 0.875rem 0 !default;
// // $datepicker-table-head-border-bottom: 1px solid $grey100-lighter !default;
// $datepicker-table-head-item-color: $white;
// $datepicker-table-head-item-font-weight: 700;
// // $datepicker-item-today-border: solid 1px rgba($primary, 0.5) !default;
// $datepicker-item-selectable-color: $grey500;
// $datepicker-item-disabled-color: $grey100 !default;
// $datepicker-item-border-radius: 12px !default;
// $datepicker-item-padding: 6px 12px;
// // $datepicker-item-selected-color: $grey500 !important;
// $datepicker-item-selected-color: red !important;
// $datepicker-item-selected-background-color: $purple100 !important;
// $datepicker-item-selected-border-radius: 50%;
// $datepicker-item-selected-within-background-color: $purple600;
// $datepicker-item-hovered-background-color: $grey100 !default;
// $datepicker-item-hovered-color: $grey500;
// $datepicker-item-hovered-background-color: $white;
// $datepicker-item-hovered-within-background-color: $purple600;
// $datepicker-item-nearby-color: $grey100 !default;
// $datepicker-events-item-padding: 0.3rem 0.75rem 0.75rem !default;
// $datepicker-event-background-color: $grey100-light !default;
// $datepicker-event-dots-size: 0.35em !default;
// $datepicker-event-dots-margin: 0 0.1em !default;
// $datepicker-event-bars-height: 0.25em !default;
// $datepicker-btn-border-color: $grey100-lighter !default;
// $datepicker-btn-border-radius: $base-border-radius !default;
// $datepicker-btn-border: 1px solid transparent !default;
// $datepicker-btn-color: #363636 !default;
// $datepicker-btn-height: 2.25em !default;
// $datepicker-btn-hover-border-color: $grey100-light !default;
// $datepicker-btn-hover-color: #363636 !default;
// $datepicker-btn-line-height: $base-line-height !default;
// $datepicker-btn-margin: 0.25rem !default;
// $datepicker-btn-min-width: 2.25em !default;
// $datepicker-btn-padding: 0.5em 0.5em !default;

.o-dpck__table__cell {
    display: inline-flexbox !important;
    width: 32px !important;
    height: 32px !important;
    line-height: 20px !important;
    font-size: 14px;
    // padding: 6px  !important;
    margin: 12px !important;
    border-spacing: 30px !important;
    // &--selectable {
    //     //     background-color: $white;
    // }
    &--within-hovered {
        background-color: $purple100 !important;
    }
    &--first-hovered,
    &--first-selected {
        background-color: $purple600 !important;
        border-radius: 50%;
        ::after {
            width: 24px !important;
            height: 32px !important;
            background-color: $purple100 !important;
        }
        ::before {
            width: 24px !important;
            height: 32px !important;
            background-color: $purple100 !important;
        }
    }
    &--last-hovered,
    &--last-selected {
        background-color: $purple600 !important;
        border-radius: 50%;
    }
    &--selected {
        background-color: $purple600 !important;
        // border-radius: 50%;
        margin: 12px !important;
    }
    &--within-selected,
    &--within-hovered {
        background-color: $purple100 !important;
        color: $grey900 !important;
        margin: 12px !important;
    }
}
